Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 621900 - media-sound/exaile-4.0.0_rc3 stabilisation (was: version bump)
Summary: media-sound/exaile-4.0.0_rc3 stabilisation (was: version bump)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL: https://github.com/exaile/exaile/rele...
Whiteboard:
Keywords: EBUILD, STABLEREQ
Depends on: 679246
Blocks: gst-0.10-removal
  Show dependency tree
 
Reported: 2017-06-16 10:05 UTC by Simon
Modified: 2019-03-09 21:17 UTC (History)
4 users (show)

See Also:
Package list:
media-sound/exaile-4.0.0_rc3 dev-python/pylast-1.9.0
Runtime testing required: ---
stable-bot: sanity-check+


Attachments
I was able to compile it with this ebuild but dependencies and plugins yet are missing in this ebuild. (exaile-4.0.0_beta2.ebuild,1.07 KB, text/plain)
2017-06-16 10:23 UTC, Simon
no flags Details
media-sound/exaile-4.0.0 (exaile-4.0.0_beta2.ebuild,446 bytes, text/plain)
2017-06-17 15:48 UTC, Simon
no flags Details
media-sound/exaile-4.0.0_beta2.ebuild (exaile-4.0.0_beta2.ebuild,446 bytes, text/plain)
2017-06-17 15:51 UTC, Simon
no flags Details
exaile-4.0.0_beta2.ebuild (exaile-4.0.0_beta2.ebuild,1.58 KB, text/plain)
2017-08-11 18:49 UTC, Sander Sweers
no flags Details
exaile-9999.ebuild (exaile-9999.ebuild,1.85 KB, text/plain)
2017-08-12 10:45 UTC, Sander Sweers
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simon 2017-06-16 10:05:35 UTC
The new version of exaile using GTK+ 3 and GStreamer 1 finally arrived as a beta.

Reproducible: Always
Comment 1 Simon 2017-06-16 10:23:16 UTC
Created attachment 476696 [details]
I was able to compile it with this ebuild but dependencies and plugins yet are missing in this ebuild.

I was able to compile it with this ebuild but dependencies and plugins yet are missing in this ebuild.
Comment 2 Jonas Stein gentoo-dev 2017-06-16 17:18:12 UTC
Thank you for your contribution.

Plaese nothe, that beta releases are usually avoided for the official tree.
(depending on the meaning of "beta")

I suggest to add a proper header and change to one line:
DEPEND="${RDEPEND}"

Please indent with tabs.
https://devmanual.gentoo.org/ebuild-writing/file-format/

Could you tidy up the src_install() section, please?

Perhaps you are interested in our github mirror too. You can create pull request there directly.
https://wiki.gentoo.org/wiki/Gentoo_git_workflow
Comment 3 Simon 2017-06-16 23:19:44 UTC
Hi Jonas, thanks for the hints,
the untidy sections are actually a bug in my ebuild-creation script, the if statements should have been evaluated inside the creation-script not put into the ebuild itself, I will correct that. ^^"

Regarding the non-functioning plugins i mentioned earlier, that actually was only a single plugin (moodbar) that had a bug and will be fixed in beta3.

The concept with the github mirror sounds interesting I'll have a look into that.

Greetz
Si
Comment 4 Simon 2017-06-16 23:24:58 UTC
Ah no the if statements are not a bug in my creation-script as i stated before.. I actually took them from the default code:
https://devmanual.gentoo.org/ebuild-writing/functions/src_compile/index.html
https://devmanual.gentoo.org/ebuild-writing/functions/src_install/index.html

But its right they are not needed if i evaluate their existence during creation of the ebuild so I will remove them. ^^
Comment 5 Simon 2017-06-17 15:48:06 UTC
Created attachment 476752 [details]
media-sound/exaile-4.0.0
Comment 6 Simon 2017-06-17 15:51:29 UTC
Created attachment 476754 [details]
media-sound/exaile-4.0.0_beta2.ebuild

Ok i simplified the ebuild now and added a dependency/use-flag for the moodbar.
Probably still some deps missing though for nls, gstreamer-1, gtk+3 and python.
Comment 7 Sander Sweers 2017-08-11 18:44:42 UTC
(In reply to Simon from comment #6)
> Created attachment 476754 [details]
> media-sound/exaile-4.0.0_beta2.ebuild

No offence but that ebuild is completely broken. The exaile folks documented all their deps in https://github.com/exaile/exaile/blob/master/DEPS.

The original ebuild needed only small update, i'll attach the one I just did.
Comment 8 Sander Sweers 2017-08-11 18:49:36 UTC
Created attachment 488610 [details]
exaile-4.0.0_beta2.ebuild

* added ${PYTHON_USEDEP} where needed
* updated deps for GObject introspection
* bsddb3 is a hard dep
* requires pycairo
* bump versions of Gtk+ and gstreamer
* Use xdg-utils as fdo-mime is deprecated
Comment 9 Simon 2017-08-11 22:51:55 UTC
Ok thanks, thanks. ^^
Comment 10 Sander Sweers 2017-08-12 10:45:39 UTC
Created attachment 488680 [details]
exaile-9999.ebuild

New ebuild adding,

* live git building
* Use python-single-r1
* byte compile python modules

I added git building because the beta2 was buggy in a couple of places which made it unusable for me. It should handle both regular and live builds.
Comment 11 Sander Sweers 2017-08-12 10:48:40 UTC
And here is a diff adding the new use flags to metadata

--- /usr/portage/media-sound/exaile/metadata.xml	2016-01-25 00:06:09.000000000 +0100
+++ metadata.xml	2017-08-12 12:12:18.972714713 +0200
@@ -5,6 +5,10 @@
 		<email>sound@gentoo.org</email>
 		<name>Gentoo Sound project</name>
 	</maintainer>
+	<use>
+		<flag name="moodbar">Enable gstreamer plugin <pkg>media-sound/moodbar</pkg> for tracks</flag>
+		<flag name="scrobbler"> Enable support for scrobbler service like lastfm</flag>
+	</use>
 	<upstream>
 		<remote-id type="launchpad">exaile</remote-id>
 		<remote-id type="github">exaile/exaile</remote-id>
Comment 12 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-08-28 15:19:08 UTC
Hi,

I'm adding a block to bug 629178 since right now exaile depends on vulnerable slot 0.10 from gst-python and the new version would solve the security issue.


@jstein
I know that beta versions are not the best for the tree but is there a more clean way to drop the vulnerable version in the meanwhile?

For extra info please refer to bug 550648

Thanks,
Comment 13 Pacho Ramos gentoo-dev 2018-02-23 15:27:37 UTC
do you want to proxy maintain this?
https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
Comment 14 Sander Sweers 2018-02-23 16:07:07 UTC
(In reply to Pacho Ramos from comment #13)
> do you want to proxy maintain this?

If you are asking me then no, I don't use exaile enough (mostly audacious). I do have a softspot for it and when I read about the beta I wanted to try it out.
Comment 15 Simon 2018-03-14 11:08:26 UTC
beta 3 is out: https://github.com/exaile/exaile/releases
Comment 16 Andreas Sturmlechner gentoo-dev 2018-06-03 11:31:02 UTC
Currently attached ebuild installs into wrong dirs (/lib64) and prints multiple errors during src_install.
Comment 17 Sander Sweers 2018-06-03 14:19:08 UTC
(In reply to Andreas Sturmlechner from comment #16)
> Currently attached ebuild installs into wrong dirs (/lib64) and prints

Trivial fix, not attaching a new attachment for that.

diff --git a/media-sound/exaile/exaile-9999.ebuild b/media-sound/exaile/exaile-9999.ebuild
index 27c4425..c85c24f 100644
--- a/media-sound/exaile/exaile-9999.ebuild
+++ b/media-sound/exaile/exaile-9999.ebuild
@@ -65,7 +65,7 @@ src_compile() {
 src_install() {
        emake \
                PREFIX=/usr \
-               LIBINSTALLDIR=/$(get_libdir) \
+               LIBINSTALLDIR=/usr/$(get_libdir) \
                DESTDIR="${D}" \
                install$(use nls || echo _no_locale)


> multiple errors during src_install.

This is for the pyc and pyo which may or may not exist. On gentoo they don't and  it is marked in the Makefile with a minus (-) so build does not error.
Comment 18 Sander Sweers 2018-06-09 19:57:12 UTC
This prepares for eapi7 and includes the libdir fix.

diff --git a/media-sound/exaile/exaile-9999.ebuild b/media-sound/exaile/exaile-9999.ebuild
index 27c4425..1bebdff 100644
--- a/media-sound/exaile/exaile-9999.ebuild
+++ b/media-sound/exaile/exaile-9999.ebuild
@@ -6,7 +6,7 @@ EAPI=6
 PYTHON_COMPAT=( python2_7 )
 PYTHON_REQ_USE="sqlite"
 
-inherit multilib python-single-r1 versionator xdg-utils
+inherit eapi7-ver multilib python-single-r1 xdg-utils
 
 if [[ ${PV} == "9999" ]] ; then
 	inherit git-r3
@@ -14,8 +14,8 @@ if [[ ${PV} == "9999" ]] ; then
 	MY_PV="${PV}"
 	KEYWORDS=""
 else
+	MY_PV="$(ver_rs 3 '-')"
 	SRC_URI="https://github.com/${PN}/${PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
-	MY_PV="$(replace_version_separator 3 '-')"
 	KEYWORDS="~amd64 ~x86 ~arm"
 fi
 
@@ -65,7 +65,7 @@ src_compile() {
 src_install() {
 	emake \
 		PREFIX=/usr \
-		LIBINSTALLDIR=/$(get_libdir) \
+		LIBINSTALLDIR=/usr/$(get_libdir) \
 		DESTDIR="${D}" \
 		install$(use nls || echo _no_locale)
Comment 19 Simon 2018-06-28 13:52:44 UTC
exaile-4.0.0_rc0 is out now..
Comment 20 Simon 2018-06-28 14:10:57 UTC
And there is also a new gtk3 based moodbar now: https://github.com/exaile/moodbar
Comment 21 Simon 2018-06-28 14:12:16 UTC
Sry I mean Gstreamer-1 based moodbar of course.
Comment 22 Sander Sweers 2018-06-28 16:34:59 UTC
(In reply to Simon from comment #20)
> And there is also a new gtk3 based moodbar now:
> https://github.com/exaile/moodbar

open a new bug for this and I'll have a look at resurrecting the ebuild.
Comment 23 Sander Sweers 2018-06-28 17:00:01 UTC
(In reply to Sander Sweers from comment #22)
> (In reply to Simon from comment #20)
> > And there is also a new gtk3 based moodbar now:
> > https://github.com/exaile/moodbar
> 
> open a new bug for this and I'll have a look at resurrecting the ebuild.

Wait, this is not the original implementation [1] which also got an update to work with gst 1.0. I have something building for [1] so the bug should be for it.

[1] https://github.com/Mazhoon/moodbar
Comment 24 Simon 2018-06-29 12:29:31 UTC
I opened a bug for the exaile related moodbar version, further discussion in that bug:
https://bugs.gentoo.org/659588
Comment 25 Larry the Git Cow gentoo-dev 2019-02-05 23:27:28 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b09dc87fc6873c1f03208a7bc907d3cccc288ec1

commit b09dc87fc6873c1f03208a7bc907d3cccc288ec1
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-02-05 22:31:31 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-02-05 23:26:42 +0000

    media-sound/exaile: 4.0.0_rc3 version bump, EAPI-7 bump
    
    Fix DESCRIPTION
    Use https
    
    Thanks-to: Simon <sur3@gmx.de>
    Thanks-to: Sander Sweers <Sander.Sweers@gmail.com>
    Bug: https://bugs.gentoo.org/621900
    Package-Manager: Portage-2.3.59, Repoman-2.3.12
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-sound/exaile/Manifest                |  1 +
 media-sound/exaile/exaile-4.0.0_rc3.ebuild | 79 ++++++++++++++++++++++++++++++
 media-sound/exaile/metadata.xml            |  3 ++
 3 files changed, 83 insertions(+)
Comment 26 Mart Raudsepp gentoo-dev 2019-02-05 23:33:26 UTC
This bug is left intentionally open for tracking blocker to gst-0.10-removal. Once we can open a stabilization bug, we can transfer the blocker there and close this one (but likely stabilization will just happen here in this bug too)
Comment 27 Andreas Sturmlechner gentoo-dev 2019-03-02 13:25:03 UTC
Arches, please stabilise!
Comment 28 Thomas Deutschmann gentoo-dev Security 2019-03-02 20:50:25 UTC
x86 stable
Comment 29 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-03 12:06:44 UTC
amd64 stable
Comment 30 Matt Turner gentoo-dev 2019-03-09 21:17:32 UTC
ppc keywords dropped